Script: *list-window-titles.ps1*
========================

This PowerShell script queries all main window titles and lists them as a table.

Parameters
----------
```powershell
PS> ./list-window-titles.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./list-window-titles.ps1



Id ProcessName          MainWindowTitle
   -- -----------          ---------------
11556 Spotify              Spotify Free
...

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Lists window titles
.DESCRIPTION
	This PowerShell script queries all main window titles and lists them as a table.
.EXAMPLE
	PS> ./list-window-titles.ps1

	   Id ProcessName          MainWindowTitle
	   -- -----------          ---------------
	11556 Spotify              Spotify Free
	...
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	Get-Process | Where-Object {$_.mainWindowTitle} | Format-Table ID,ProcessName,MainWindowTitle -AutoSize
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*(generated by convert-ps2md.ps1 using the comment-based help of list-window-titles.ps1 as of 08/15/2024 09:50:50)*
